#
# spec file for package python3-zope.cachedescriptors
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-zope.cachedescriptors
Version:        4.2.0
Release:        2.7
Summary:        Method and property caching decorators
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/zope.cachedescriptors
Source:         https://files.pythonhosted.org/packages/source/z/zope.cachedescriptors/zope.cachedescriptors-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-zope.root
BuildArch:      noarch

%description
Cached descriptors cache their output.  They take into account
instance attributes that they depend on, so when the instance
attributes change, the descriptors will change the values they
return.

%prep
%setup -q -n zope.cachedescriptors-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst README.rst
%{python3_sitelib}/*

%changelog
* Thu Nov  3 2016 toddrme2178@gmail.com
- Enable unit tests.
- Depend on python3-zope.root to avoid import errors.
* Tue Sep 20 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 4.2.0:
  * Add support for Python 3.5.
  * Drop support for Python 2.6 and 3.2.
  * The properties from the property module all preserve the
    documentation string of the underlying function, and all except
    cachedIn preserve everything that functools.update_wrapper
    preserves.
  * property.CachedProperty is usable as a decorator, with or without
    dependent attribute names.
  * method.cachedIn preserves the documentation string of the
    underlying function, and everything else that functools.wraps
    preserves
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Fri Jan  2 2015 arun@gmx.de
- specfile:
  * update copyright year
  * CHANGES and README are now .rst
- update to version 4.1.0:
  * Add support for PyPy and PyPy3.
  * Add support for Python 3.4.
  * Add support for testing on Travis.
* Wed Nov 13 2013 p.drouand@gmail.com
- Initial python3 support
* Wed Nov 13 2013 p.drouand@gmail.com
- Update to version 4.0.0
  + Dropped support for Python 2.4 and 2.5.
  + Added support for Python 3.2 and 3.3.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jul 23 2012 saschpe@suse.de
- Initial version
